<template lang="pug">
  .b-header
    .b-container.b-header__container

      .b-header__first-half
        a.b-header__logo
          img.b-header__logo-ico(
            src="@/assets/images/logo.webp"
          )

        .b-header__title Выгрузка Отчетов

      .b-header__second-half
        btn(
          mod="small"
          v-if="isAdmin"
          :clickAction="admin"
        )
          | Администрирование
        btn(
          mod="small"
          :clickAction="reports"
          v-if="isAuth"
        )
          | Отчеты
        btn(
          mod="small"
          :clickAction="exit"
          v-if="isAuth"
        )
          | Выход
</template>

<script>
import { mapGetters } from 'vuex';
import Btn from '../button/index.vue';

export default {
  name: 'HeaderBlock',
  components: {
    Btn,
  },
  computed: {
    ...mapGetters([
      'isAdmin',
      'isAuth',
    ]),
  },
  methods: {
    admin() {
      this.$store.dispatch('resetTimeId');
      this.$router.push({
        name: 'Admin',
      });
    },
    reports() {
      this.$store.dispatch('resetTimeId');
      this.$router.push({
        name: 'Report',
      });
    },
    async exit() {
      this.$store.dispatch('resetTimeId');
      this.$store.dispatch('exit');
      this.$router.push({
        name: 'Auth',
      });
    },
  },
};
</script>

<style lang="sass">
@import '@/assets/styles/additional/_variables.scss';
@import '@/blocks/header/header.scss'
</style>
